Call a static method

- « create_function

- forward_static_call_array »

- PHP Manual
- Function handling Functions
- Call a static method

# forward_static_call

(PHP 5 >= 5.3.0, PHP 7, PHP 8)

forward_static_call — Call a static method

### Description

forward_static_call(callable `$callback`, mixed `...$args`): mixed

Calls a user defined function or method given by the `callback` parameter, with the following arguments. This function must be called within a method context, it can't be used outside a class. It uses the late static binding.

### Parameters

`callback`

  The function or method to be called. This parameter may be an array, with the name of the class, and the method, or a string, with a function name.

`args`

  Zero or more parameters to be passed to the function.

### Return Values

Returns the function result, or `false` on error.

### Examples

Example #1 forward_static_call() example

    <?php

    class A
    {
        const NAME = 'A';
        public static function test() {
            $args = func_get_args();
            echo static::NAME, " ".join(',', $args)." \n";
        }
    }

    class B extends A
    {
        const NAME = 'B';

        public static function test() {
            echo self::NAME, "\n";
            forward_static_call(array('A', 'test'), 'more', 'args');
            forward_static_call( 'test', 'other', 'args');
        }
    }

    B::test('foo');

    function test() {
            $args = func_get_args();
            echo "C ".join(',', $args)." \n";
        }

    ?>

The above example will output:

    B
    B more,args
    C other,args

### See Also

- forward_static_call_array() - Call a static method and pass the arguments as array
- call_user_func_array() - Call a callback with an array of parameters
- call_user_func() - Call the callback given by the first parameter
- is_callable() - Verify that a value can be called as a function from the current scope